Bug 717727 - ModemManager 0.4.997-1.fc15 fails to communicate with Huawei E220 HSDPA USB modem
ModemManager 0.4.997-1.fc15 fails to communicate with Huawei E220 HSDPA USB m...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
15
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 720822 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-29 13:36 EDT by JQ
Modified: 2012-08-07 12:01 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:01:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment (162.76 KB, text/plain)
2011-06-29 13:36 EDT, JQ
no flags Details
Comment (123.08 KB, text/plain)
2011-07-26 17:43 EDT, JQ
no flags Details

  None (edit)
Description JQ 2011-06-29 13:36:36 EDT
Created attachment 915346 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 1 Edoardo Patelli 2011-07-04 10:54:07 EDT
I have exactly the same problem. I am hoping someone can have a look on this bug
Comment 2 Dan Williams 2011-07-18 19:12:03 EDT
Does the latest ModemManager update:

https://admin.fedoraproject.org/updates/ModemManager-0.4.998-1.git20110706.fc15

fix this issue for you?  My E226 (an E220 with US/Americas bands) works with this update.
Comment 3 JQ 2011-07-26 17:43:16 EDT
Created attachment 915355 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 4 Toby Goodwin 2011-08-26 10:39:17 EDT
Currently I'm at:

ModemManager.x86_64                      0.4.998-1.git20110706.fc15     @updates

and my E220 still isn't working.
Comment 5 Nuno Anjos 2011-08-29 06:53:43 EDT
I'am using Fedora 15 XFCE and have the same problem. i use to have fedora 13 and it worked very well.

Now with fedora 15 it doesnt work.
Comment 6 Nuno Anjos 2011-08-29 07:04:41 EDT
i did yum downgrade ModemManager to ModemManager-0.4-7.git20110201.fc15.x86_64
and now is working ok.
Comment 7 Louis van Dyk 2011-08-31 06:37:43 EDT
I logged Bug 720822 which I will mark as a duplicate of this bug.

I first tried on: ModemManager-0.4.997-1.fc15.x86_64
And also on: ModemManager-0.4.998-1.git20110706.fc15.x86_64
I have since downgraded to ModemManager-0.4-7.git20110201.fc15.x86_64 as suggested in this thread, but this too does not work for me.

Ironically: If I run a Windows XP guest on this same notebook in VirtualBox, the guest can access and use the modem successfully!  Also, this same notebook worked with the modem when it was running Fedora 14.

lsusb shows:
Bus 005 Device 002: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA Modem / E230/E270 HSDPA/HSUPA Modem

I will attach my /var/log/messages showing the modem being plugged in, and when I connect how it fails on timeout.
Comment 8 Louis van Dyk 2011-08-31 06:42:11 EDT
Note: I am running F15-x86_64.  I have downgraded to ModemManager-0.4-7.git20110201.fc15.x86_64, which also does NOT work.

[root@lvd-pc ~]# tail -f /var/log/messages
-- PLUGGING IN THE MODEM --
Aug 31 12:10:18 lvd-pc kernel: [  183.636064] usb 6-1: new full speed USB device number 2 using uhci_hcd
Aug 31 12:10:18 lvd-pc kernel: [  183.784117] usb 6-1: New USB device found, idVendor=12d1, idProduct=1003
Aug 31 12:10:18 lvd-pc kernel: [  183.784127] usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Aug 31 12:10:18 lvd-pc kernel: [  183.784135] usb 6-1: Product: HUAWEI Mobile
Aug 31 12:10:18 lvd-pc kernel: [  183.784140] usb 6-1: Manufacturer: HUAWEI Technologies
Aug 31 12:10:18 lvd-pc kernel: [  183.789246] scsi424 : usb-storage 6-1:1.0
Aug 31 12:10:18 lvd-pc mtp-probe: checking bus 6, device 2: "/sys/devices/pci0000:00/0000:00:1d.1/usb6/6-1"
Aug 31 12:10:18 lvd-pc kernel: [  183.954125] usb 6-1: USB disconnect, device number 2
Aug 31 12:10:18 lvd-pc mtp-probe: bus: 6, device: 2 was not an MTP device
Aug 31 12:10:19 lvd-pc kernel: [  184.660103] usb 6-1: new full speed USB device number 3 using uhci_hcd
Aug 31 12:10:19 lvd-pc kernel: [  184.808128] usb 6-1: New USB device found, idVendor=12d1, idProduct=1003
Aug 31 12:10:19 lvd-pc kernel: [  184.808138] usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Aug 31 12:10:19 lvd-pc kernel: [  184.808146] usb 6-1: Product: HUAWEI Mobile
Aug 31 12:10:19 lvd-pc kernel: [  184.808151] usb 6-1: Manufacturer: HUAWEI Technologies
Aug 31 12:10:19 lvd-pc kernel: [  184.815458] option 6-1:1.0: GSM modem (1-port) converter detected
Aug 31 12:10:19 lvd-pc kernel: [  184.815692] usb 6-1: GSM modem (1-port) converter now attached to ttyUSB0
Aug 31 12:10:19 lvd-pc kernel: [  184.817334] option 6-1:1.1: GSM modem (1-port) converter detected
Aug 31 12:10:19 lvd-pc kernel: [  184.817531] usb 6-1: GSM modem (1-port) converter now attached to ttyUSB1
Aug 31 12:10:19 lvd-pc kernel: [  184.818231] scsi427 : usb-storage 6-1:1.2
Aug 31 12:10:19 lvd-pc mtp-probe: checking bus 6, device 3: "/sys/devices/pci0000:00/0000:00:1d.1/usb6/6-1"
Aug 31 12:10:19 lvd-pc mtp-probe: bus: 6, device: 3 was not an MTP device
Aug 31 12:10:19 lvd-pc modem-manager[1213]: <info> (ttyUSB0) opening serial port...
Aug 31 12:10:20 lvd-pc kernel: [  185.822207] scsi 427:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
Aug 31 12:10:20 lvd-pc modem-manager[1213]: <info> (ttyUSB0) closing serial port...
Aug 31 12:10:20 lvd-pc modem-manager[1213]: <info> (ttyUSB0) serial port closed
Aug 31 12:10:20 lvd-pc kernel: [  185.838723] sr1: scsi-1 drive
Aug 31 12:10:20 lvd-pc kernel: [  185.841308] sr 427:0:0:0: Attached scsi generic sg2 type 5
Aug 31 12:10:20 lvd-pc modem-manager[1213]: <info> (ttyUSB0) opening serial port...
Aug 31 12:10:20 lvd-pc modem-manager[1213]: <info> (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.1/usb6/6-1 claimed port ttyUSB0
Aug 31 12:10:21 lvd-pc modem-manager[1213]: <info> (ttyUSB0) closing serial port...
Aug 31 12:10:21 lvd-pc modem-manager[1213]: <info> (ttyUSB0) serial port closed
Aug 31 12:10:22 lvd-pc modem-manager[1213]: <info> (ttyUSB1) opening serial port...
Aug 31 12:10:23 lvd-pc modem-manager[1213]: <info> (ttyUSB1) closing serial port...
Aug 31 12:10:23 lvd-pc modem-manager[1213]: <info> (ttyUSB1) serial port closed
Aug 31 12:10:23 lvd-pc modem-manager[1213]: <info> (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.1/usb6/6-1 claimed port ttyUSB1
Aug 31 12:10:23 lvd-pc NetworkManager[1146]: <warn> (ttyUSB0): failed to look up interface index
Aug 31 12:10:23 lvd-pc NetworkManager[1146]: <info> (ttyUSB0): new GSM/UMTS device (driver: 'option1' ifindex: -1)
Aug 31 12:10:23 lvd-pc NetworkManager[1146]: <info> (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/2
Aug 31 12:10:23 lvd-pc NetworkManager[1146]: <info> (ttyUSB0): now managed
Aug 31 12:10:23 lvd-pc NetworkManager[1146]: <info> (ttyUSB0): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Aug 31 12:10:23 lvd-pc NetworkManager[1146]: <info> (ttyUSB0): deactivating device (reason: 2).
Aug 31 12:10:23 lvd-pc NetworkManager[1146]: <info> (ttyUSB0): device state change: unavailable -> disconnected (reason 'none') [20 30 0]

-- CLICKING ON THE CONNECTION IN THE SHELL EXTENSION --
Aug 31 12:11:07 lvd-pc NetworkManager[1146]: <info> Activation (ttyUSB0) starting connection 'MTN Default'
Aug 31 12:11:07 lvd-pc NetworkManager[1146]: <info> (ttyUSB0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Aug 31 12:11:07 lvd-pc NetworkManager[1146]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Aug 31 12:11:07 lvd-pc NetworkManager[1146]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Aug 31 12:11:07 lvd-pc NetworkManager[1146]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Aug 31 12:11:07 lvd-pc modem-manager[1213]: <info> (ttyUSB0) opening serial port...
Aug 31 12:11:07 lvd-pc modem-manager[1213]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
Aug 31 12:11:07 lvd-pc modem-manager[1213]: <info> (ttyUSB1) opening serial port...
Aug 31 12:11:07 lvd-pc modem-manager[1213]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
Aug 31 12:11:07 lvd-pc NetworkManager[1146]: <info> WWAN now enabled by management service
Aug 31 12:11:07 lvd-pc modem-manager[1213]: <info> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
Aug 31 12:11:49 lvd-pc NetworkManager[1146]: <warn> GSM connection failed: (32) Serial command timed out
Aug 31 12:11:49 lvd-pc NetworkManager[1146]: <info> (ttyUSB0): device state change: prepare -> failed (reason 'unknown') [40 120 1]
Aug 31 12:11:49 lvd-pc NetworkManager[1146]: <warn> Activation (ttyUSB0) failed.
Aug 31 12:11:49 lvd-pc NetworkManager[1146]: <info> (ttyUSB0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Aug 31 12:11:49 lvd-pc NetworkManager[1146]: <info> (ttyUSB0): deactivating device (reason: 0).


^C
Comment 9 Louis van Dyk 2011-08-31 06:45:36 EDT
*** Bug 720822 has been marked as a duplicate of this bug. ***
Comment 10 idaho 2011-10-16 04:02:35 EDT
I have the same bug with modemmanager: 0.5-1ubuntu1 in Ubuntu Oneiric. It's the same, and NOT Ubuntu-specific. I have Huawei E173 modem.
Please reference https://bugs.launchpad.net/ubuntu/+source/modemmanager/+bug/875455 - I have provided a very good description and use-case there.

I suppose the bug is somewhat related to upstream git commit http://cgit.freedesktop.org/ModemManager/ModemManager/commit/?id=dc89c0a42d826fc3302b3d790d5161945ff7078f , but not sure.

Also, I see Louis van Dyk has marked Bug 720822 as a duplicate, which I think is wrong (in bug 720822 the symptoms are different - you can see it in the log - exact line in log for bug 720822: 
Jul 12 23:50:21 lvd-pc modem-manager[1083]: <info>  (ttyUSB0) opening serial
port...
Jul 12 23:50:21 lvd-pc modem-manager[1083]: <info>  (Huawei): GSM modem
/sys/devices/pci0000:00/0000:00:1d.0/usb5/5-1 claimed port ttyUSB0 ). This particular bug has a different behaviour.
I'll add this info in comments for bug 72082.
Comment 11 Nuno Anjos 2011-12-13 06:11:06 EST
I have a HUAWEI E220, and for it to work, i have to:
- insert de modem
- wait for NetworkManager detects
(i have also instaled vodafone-mobile-connect-card-driver-for-linux) that works, but i prefer to have NetworkManager only)
- i start vodafone-mobile-connect-card-driver-for-linux and then click on the link in Networkmanager.

same how the startup functions in vodafone-mobile-connect-card-driver-for-linux, makes NetworkManager start getting green and i stop vodafone-mobile-connect-card-driver-for-linux, and NetworkManager captures the modem connection.

This is the only way i get it to work.

Now i have another probleam, each time i connect my samsung ace (android) to charge. NetworkManager loses de HUAWEI connection a makes a connection via the phone. 
i can't have the 2 modem's connected at the same time. It seems that NetworkManager can't distinguish between the modem's.
Comment 12 Fedora End Of Life 2012-08-07 12:01:46 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.